<?php

class Migration_20241031203804_delete_extra_columns_hardware
{
    public static function up(PDO $pdo)
    {
        $query = "
            ALTER TABLE hardware_devices 
            DROP COLUMN subnet,
            DROP COLUMN gateway,
            DROP COLUMN dns1,
            DROP COLUMN dns2,
            DROP COLUMN protocol,
            DROP COLUMN https_port,
            DROP COLUMN smtp_port;
        ";
        $pdo->exec($query);
    }

    public static function down(PDO $pdo)
    {
        // Rollback code here
    }
}
